net.dontdrinkandroot.wicket.behavior.ajax

## Class KeyEventBehavior

- java.lang.Object
- - org.apache.wicket.behavior.Behavior
  - - org.apache.wicket.behavior.AbstractAjaxBehavior
    - - org.apache.wicket.ajax.AbstractDefaultAjaxBehavior
      - - org.apache.wicket.ajax.AjaxEventBehavior
        - - net.dontdrinkandroot.wicket.behavior.ajax.KeyEventBehavior

All Implemented Interfaces:
  Serializable, org.apache.wicket.behavior.IBehaviorListener, org.apache.wicket.IComponentAwareEventSink, org.apache.wicket.IRequestListener, org.apache.wicket.markup.html.IComponentAwareHeaderContributor, org.apache.wicket.util.io.IClusterable

    public abstract class KeyEventBehavior
    extends org.apache.wicket.ajax.AjaxEventBehavior

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`class` `KeyEventBehavior.KeyEventResponse`

### Field Summary

### Fields inherited from class org.apache.wicket.ajax.AbstractDefaultAjaxBehavior

`INDICATOR`

### Fields inherited from interface org.apache.wicket.behavior.IBehaviorListener

`INTERFACE`

### Constructor Summary

Constructors
Constructor and Description
`KeyEventBehavior()`
`KeyEventBehavior(String event)`

### Method Summary

Methods
`protected void` `onEvent(org.apache.wicket.ajax.AjaxRequestTarget target)`
`protected abstract void` `onEvent(org.apache.wicket.ajax.AjaxRequestTarget target, KeyEventBehavior.KeyEventResponse keyPressResponse)`
`protected void` `updateAjaxAttributes(org.apache.wicket.ajax.attributes.AjaxRequestAttributes attributes)`

### Methods inherited from class org.apache.wicket.ajax.AjaxEventBehavior

`getEvent, onCheckEvent, renderHead, respond`

### Methods inherited from class org.apache.wicket.ajax.AbstractDefaultAjaxBehavior

`findIndicatorId, getAttributes, getCallbackFunction, getCallbackFunctionBody, getCallbackScript, getCallbackScript, getChannel, getFailureScript, getPreconditionScript, getSuccessScript, onBind, onRequest, postprocessConfiguration, renderAjaxAttributes, renderAjaxAttributes`

### Methods inherited from class org.apache.wicket.behavior.AbstractAjaxBehavior

`afterRender, bind, getCallbackUrl, getComponent, onComponentRendered, onComponentTag, onComponentTag`

### Methods inherited from class org.apache.wicket.behavior.Behavior

`beforeRender, canCallListenerInterface, detach, getStatelessHint, isEnabled, isTemporary, onConfigure, onEvent, onException, unbind`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KeyEventBehavior

    public KeyEventBehavior()

#### KeyEventBehavior

    public KeyEventBehavior(String event)

### Method Detail

#### updateAjaxAttributes

    protected void updateAjaxAttributes(org.apache.wicket.ajax.attributes.AjaxRequestAttributes attributes)

Overrides:
  `updateAjaxAttributes` in class `org.apache.wicket.ajax.AjaxEventBehavior`

#### onEvent

    protected void onEvent(org.apache.wicket.ajax.AjaxRequestTarget target)

Specified by:
  `onEvent` in class `org.apache.wicket.ajax.AjaxEventBehavior`

#### onEvent

    protected abstract void onEvent(org.apache.wicket.ajax.AjaxRequestTarget target,
               KeyEventBehavior.KeyEventResponse keyPressResponse)